Hi!

Some of you make works open-iscsi into openvz virtual Enviroment┬┐ I
can't find the way to work open-iscsi into openvz container with the
default installation of Debian Lenny. ┬┐I need to apply some kernel
patch?

# iscsid -f
iscsid: Missing or Invalid version from
/sys/module/scsi_transport_iscsi/version. Make sure a up to date
scsi_transport_iscsi module is loaded and a up todate version of
iscsid is running. Exiting...

When iscsid starts it checks the scsi_transport_iscsi module version
but on the default installation of openvz the VE doesn't have anything
in /sys/module:

# ls /sys
class  devices


I can reproduce this problem with:

*************************
**** on Host Machine ****
*************************

# uname -r
2.6.26-1-openvz-amd64

# lsmod |grep scsi
iscsi_tcp              21636  0
libiscsi               32384  2 ib_iser,iscsi_tcp
scsi_transport_iscsi    36256  4 ib_iser,iscsi_tcp,libiscsi
scsi_mod              160888  8
ib_iser,iscsi_tcp,libiscsi,scsi_transport_iscsi,sg,sr_mod,sd_mod,libata

# cat /sys/module/scsi_transport_iscsi/version
2.0-869

# iscsid --version
iscsid version 2.0-870

***************************
*** on Virtual Machine ****
***************************

# uname -r
2.6.26-1-openvz-amd64

# iscsid --version
iscsid version 2.0-870


Yes, the version of the scsi_transport_iscsi module and the open-iscsi
doesn't match exactly, but in the host machine it works fine.


Thanks very much!!
Marc

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"open-iscsi" group.
To post to this group, send email to open-iscsi@googlegroups.com
To unsubscribe from this group, send email to 
open-iscsi+unsubscr...@googlegroups.com
For more options, visit this group at http://groups.google.com/group/open-iscsi
-~----------~----~----~----~------~----~------~--~---

Reply via email to